---
title: "FreeBSD 5.4-RELEASE Announcement"
sidenav: download
---

++++


    <p><b>Date:</b> Mon, 9 May 2005 17:01:58 -0400<br clear="none" />
      <b>From:</b> Ken Smith &lt;kensmith@FreeBSD.org&gt;<br clear="none" />
      <b>To:</b> freebsd-announce@FreeBSD.org<br clear="none" />
      <b>Subject:</b> [FreeBSD-Announce] FreeBSD 5.4-RELEASE Announcement</p>

    <p>The Release Engineering Team is happy to announce the
      availability of FreeBSD 5.4-RELEASE, the latest release of the
      FreeBSD Stable development branch.  Since FreeBSD 5.3-RELEASE in
      November 2004 we have made many improvements in functionality,
      stability, performance, and device driver support for some
      hardware, as well as dealt with known security issues and made
      many bugfixes.</p>

    <p>For a complete list of new features, known problems, and
      late-breaking news, please see the release notes and errata
      list, available here:</p>

    <p><a href="http://www.FreeBSD.org/releases/5.4R/relnotes.html" shape="rect">http://www.FreeBSD.org/releases/5.4R/relnotes.html</a></p>

    <p><a href="http://www.FreeBSD.org/releases/5.4R/errata.html" shape="rect">http://www.FreeBSD.org/releases/5.4R/errata.html</a></p>

    <p>FreeBSD 5.4 will become an "Errata Branch".  In addition to
      Security fixes other well-tested fixes to basic functionality
      will be committed to the RELENG_5_4 branch after the release.
      Both Security Advisories and Errata Notices are announced on the
      freebsd-announce@freebsd.org mailing list.</p>

    <p>It is expected there will be at least one more release from the
      RELENG_5 branch, most likely two.  The current plans are for the
      RELENG_6 branch to be created within the next few months, and an
      initial 6.0-RELEASE will be made a few months afterwards.  There
      will be a 5.5-RELEASE following a few months after the
      6.0-RELEASE.</p>

    <p>For more information about FreeBSD release engineering
      activities, please see:</p>

    <p><a href="http://www.FreeBSD.org/releng/" shape="rect">http://www.FreeBSD.org/releng/</a></p>

    <h2>Dedication</h2>

    <p>The FreeBSD 5.4 Release is dedicated to the memory of Cameron
      Grant.  Cameron was an active FreeBSD Developer and principal
      architect of the sound driver subsystem despite his physical
      handicap.  His is a superb example of human spirit dominating
      over adversity.  Cameron was an inspiration to those who met
      him; he will be fondly remembered and sorely missed.</p>

    <h2>Availability</h2>

    <p>FreeBSD 5.4-RELEASE supports the i386, amd64, ia64, pc98,
      sparc64, and alpha architectures and can be installed directly
      over the net, using bootable media, or copied to a local NFS/FTP
      server.  Distributions for all architectures except alpha are
      available now.  The distribution for alpha should become
      available within the next day or two.</p>

    <p>Please continue to support the FreeBSD Project by purchasing
      media from one of our supporting vendors.  The following
      companies will be offering FreeBSD 5.4 based products:</p>

    <ul>
      <li><p>FreeBSD Mall, Inc.
	  <tt><a href="http://www.freebsdmall.com/" shape="rect">http://www.freebsdmall.com/</a></tt></p></li>
      <li><p>Daemonnews, Inc.
          <tt><a href="http://www.bsdmall.com/freebsd1.html" shape="rect">http://www.bsdmall.com/freebsd1.html</a></tt></p></li>
    </ul>

    <p>If you can not afford FreeBSD on media, are impatient, or just
      want to use it for evangelism purposes, then by all means
      download the ISO images.  We can not promise that all the mirror
      sites will carry the larger ISO images.  At the time of this
      announcement they are available from the following sites.  MD5
      checksums for the release images are included at the bottom of
      this message.</p>

    <h2>Bittorrent</h2>

    <p>As with the 5.3 release we are experimenting with Bittorrent.
      A collection of trackers for the release ISO images is available at</p>

    <p><tt><a href="http://people.freebsd.org/~kensmith/5.4-torrent/" shape="rect">http://people.freebsd.org/~kensmith/5.4-torrent/</a></tt></p>

    <h2>FTP</h2>

    <p>At the time of this announcement the following FTP sites have
      FreeBSD 5.4-RELEASE available.</p>

    <ul>
      <li><tt><a href="ftp://ftp.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp2.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp3.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp3.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp5.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp5.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.at.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.at.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp2.ch.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.ch.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.cz.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.cz.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.ee.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.ee.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.es.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.es.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.fi.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.fi.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.fr.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.fr.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp2.ie.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.ie.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.is.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.is.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp5.pl.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp5.pl.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp3.ru.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp3.ru.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.se.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.se.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.si.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.si.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp2.tw.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.tw.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp.uk.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.uk.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp2.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.us.FreeBSD.org/pub/FreeBSD/</a></tt></li>
      <li><tt><a href="ftp://ftp5.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp5.us.FreeBSD.org/pub/FreeBSD/</a></tt></li>
    </ul>

    <p>FreeBSD is also available via anonymous FTP from mirror sites
      in the following countries and territories: Argentina,
      Australia, Austria, Brazil, Canada, China, Croatia, Czech
      Republic, Denmark, Estonia, Finland, France, Germany, Greece,
      Hong Kong, Hungary, Iceland, Indonesia, Ireland, Italy, Japan,
      Korea, Lithuania, Netherlands, New Zealand, Norway, Poland,
      Portugal, Romania, Russia, Saudi Arabia, Singapore, Slovak
      Republic, Slovenia, South Africa, Spain, Sweden, Switzerland,
      Taiwan, Turkey, Ukraine, United Kingdom, and the United
      States.</p>


    <p>Before trying the central FTP site, please check your regional
      mirror(s) first by going to:</p>

    <p>ftp://ftp.&lt;yourdomain&gt;.FreeBSD.org/pub/FreeBSD</p>

    <p>Any additional mirror sites will be labeled ftp2, ftp3 and so on.</p>

    <p>More information about FreeBSD mirror sites can be found at:</p>

    <p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html" shape="rect">
      http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt></p>

    <p>For instructions on installing FreeBSD, please see Chapter 2 of The
      FreeBSD Handbook.  It provides a complete installation walk-through
      for users new to FreeBSD, and can be found online at:</p>

    <p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html" shape="rect">
	http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html</a></tt></p>

    <h2>Acknowledgments</h2>

    <p>The FreeBSD Developers deserve the most thanks.  Without their
      efforts FreeBSD would not exist.</p>

    <p>Many companies donated equipment, network access, or man-hours
      to finance the release engineering activities for FreeBSD 5.4
      including The FreeBSD Mall, Hewlett Packard, Yahoo!, Sentex
      Communications, Sandvine, Inc., FreeBSD Systems, Inc, and
      NTT/Verio.</p>

    <p>The release engineering team for 5.4-RELEASE includes:</p>

    <table border="0">
      <tbody>

	<tr>
	  <td rowspan="1" colspan="1">Scott Long &lt;<a href="mailto:scottl@FreeBSD.org" shape="rect">scottl@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Robert Watson &lt;<a href="mailto:rwatson@FreeBSD.org" shape="rect">rwatson@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering, Security</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">John Baldwin &lt;<a href="mailto:jhb@FreeBSD.org" shape="rect">jhb@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Ken Smith &lt;<a href="mailto:kensmith@FreeBSD.org" shape="rect">kensmith@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering, amd64, i386, sparc64 Release Building, Mirror Site Coordination</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Hiroki Sato &lt;<a href="mailto:hrs@FreeBSD.org" shape="rect">hrs@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering, Documentation</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Doug White &lt;<a href="mailto:dwhite@FreeBSD.org" shape="rect">dwhite@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Murray Stokely &lt;<a href="mailto:murray@FreeBSD.org" shape="rect">murray@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Release Engineering, Documentation</td>
	</tr>


	<tr>
	  <td rowspan="1" colspan="1">Wilko Bulte &lt;<a href="mailto:wilko@FreeBSD.org" shape="rect">wilko@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Alpha Release Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Marcel Moolenaar &lt;<a href="mailto:marcel@FreeBSD.org" shape="rect">marcel@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">ia64 Release Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Takahashi Yoshihiro &lt;<a href="mailto:nyan@FreeBSD.org" shape="rect">nyan@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">pc98 Release Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Kris Kennaway &lt;<a href="mailto:kris@FreeBSD.org" shape="rect">kris@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Package Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Joe Marcus Clarke &lt;<a href="mailto:marcus@FreeBSD.org" shape="rect">marcus@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Package Building</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Jacques A. Vidrine &lt;<a href="mailto:nectar@FreeBSD.org" shape="rect">nectar@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Security Officer</td>
	</tr>

	<tr>
	  <td rowspan="1" colspan="1">Paul Saab &lt;<a href="mailto:ps@FreeBSD.org" shape="rect">ps@FreeBSD.org</a>&gt;</td>
	  <td rowspan="1" colspan="1">Bittorrent Coordination</td>
	</tr>

      </tbody>
    </table>

    <h2>CD Image Checksums</h2>

<pre xml:space="preserve">
  MD5 (5.4-RELEASE-amd64-bootonly.iso) = 6882dd5ce59cda1ba4a66ef45f017597
  MD5 (5.4-RELEASE-amd64-disc1.iso) = 26bca75d799c0a1690c6ae0bf0886234
  MD5 (5.4-RELEASE-amd64-disc2.iso) = 3da9debeae15a49158b01b1d92843fbc

  MD5 (5.4-RELEASE-i386-bootonly.iso) = 2afe65af7e7b994c3ce87cefda27352e
  MD5 (5.4-RELEASE-i386-disc1.iso) = 3dbb37485535e129354bc099e24aed99
  MD5 (5.4-RELEASE-i386-disc2.iso) = e4b748415ca783fce64cfafd6bd56f57

  MD5 (5.4-RELEASE-ia64-bootonly.iso) = 45b032bf952e7ea8b2c42f94c3fa4997
  MD5 (5.4-RELEASE-ia64-disc1.iso) = 2b1ad22da2ea0fe86345c99590049ebd
  MD5 (5.4-RELEASE-ia64-disc2.iso) = 62e589928628453f1813db7402b4f3ad
  MD5 (5.4-RELEASE-ia64-livefs.iso) = 6c05d71c36d84179923668faddf58e43

  MD5 (5.4-RELEASE-pc98-disc1.iso) = 003dee8647e9b2cbca7df0d92011800f

  MD5 (5.4-RELEASE-sparc64-bootonly.iso) = 91cb2304c2ecbcce0b312738649ba88d
  MD5 (5.4-RELEASE-sparc64-disc1.iso) = 5f77c9a20e09d5ef66fad9c60e17c2ac
  MD5 (5.4-RELEASE-sparc64-disc2.iso) = 7da34a32ca8196a34732548fe92d71e6
</pre>


  </div>
          <br class="clearboth" />
        </div>
        
++++

